class Logger {
  isTraceEnabled(): boolean {
    return true;
  }

  isDebugEnabled(): boolean {
    return true;
  }

  isInfoEnabled(): boolean {
    return true;
  }

  isWarnEnabled(): boolean {
    return true;
  }

  isErrorEnabled(): boolean {
    return true;
  }

  isFatalEnabled(): boolean {
    return true;
  }

  trace(message: any, ...args: any) {}

  debug(message: any, ...args: any) {}

  info(message: any, ...args: any) {}

  warn(message: any, ...args: any) {}

  error(message: any, ...args: any) {}

  fatal(message: any, ...args: any) {}

  mark(message: any, ...args: any) {}
}

const logger = new Logger();
export { logger };
